from axelrod.action import Action
from axelrod.player import Player
IIIllIIIIll, IIIlllIIIlIII = Action.C, Action.D
class llIIIIIIllllllII(Player):
    lIIlIIIIIllllllIlII = "strategy"
    lIIlIlIlIlIlIIIIIIIl = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def lllIlIlIlIlIIlllIl(IllIlllIIIIIlI: Player) -> Action:
        if len(IllIlllIIIIIlI.history) < 3:
            return IIIlllIIIlIII
        elif IllIlllIIIIIlI.defections:
            return IIIlllIIIlIII
        return IIIllIIIIll